## plzip 0.5-1drbl

=== Makefile ===
# Makefile for Plzip - A parallel compressor compatible with lzip
# Copyright (C) 2009, 2010 Antonio Diaz Diaz.
# This file was generated automatically by configure. Do not edit.
#
# This Makefile is free software: you have unlimited permission
# to copy, distribute and modify it.

pkgname = plzip
pkgversion = 0.5
progname = plzip
VPATH = .
prefix = /usr
exec_prefix = $(prefix)
bindir = /usr/bin
datadir = $(prefix)/share
infodir = $(datadir)/info
mandir = $(datadir)/man
sysconfdir = $(prefix)/etc
CXX = g++
CPPFLAGS = 
CXXFLAGS = -Wall -W -O2
LDFLAGS = 

DISTNAME = $(pkgname)-$(pkgversion)
INSTALL = install
INSTALL_PROGRAM = $(INSTALL) -p -m 755
INSTALL_DATA = $(INSTALL) -p -m 644
INSTALL_DIR = $(INSTALL) -d -m 755
LIBS = -llz -lpthread
SHELL = /bin/sh

objs = arg_parser.o compress.o decompress.o main.o


.PHONY : all install install-info install-man install-strip \
         uninstall uninstall-info uninstall-man \
         doc info man check dist clean distclean

all : $(progname)

$(progname) : $(objs)
	$(CXX) $(LDFLAGS) -o $(progname) $(objs) $(LIBS)

$(progname)_profiled : $(objs)
	$(CXX) $(LDFLAGS) -pg -o $(progname)_profiled $(objs) $(LIBS)

main.o : main.cc
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -DPROGVERSION=\"$(pkgversion)\" -c -o $@ $<

%.o : %.cc
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c -o $@ $<

$(objs)       : Makefile
arg_parser.o  : arg_parser.h
compress.o    : plzip.h
decompress.o  : plzip.h
main.o        : arg_parser.h plzip.h

doc : info man

info : $(VPATH)/doc/$(pkgname).info

$(VPATH)/doc/$(pkgname).info : $(VPATH)/doc/$(pkgname).texinfo
	cd $(VPATH)/doc && makeinfo $(pkgname).texinfo

man : $(VPATH)/doc/$(progname).1

$(VPATH)/doc/$(progname).1 : $(progname)
	help2man -n 'data compressor based on the LZMA algorithm' \
	  -o $(VPATH)/doc/$(progname).1 ./$(progname)

Makefile : $(VPATH)/configure $(VPATH)/Makefile.in
	./config.status

check : all
	@$(VPATH)/testsuite/check.sh $(VPATH)/testsuite

install : all install-info install-man
	if [ ! -d "$(DESTDIR)$(bindir)" ] ; then $(INSTALL_DIR) "$(DESTDIR)$(bindir)" ; fi
	$(INSTALL_PROGRAM) ./$(progname) "$(DESTDIR)$(bindir)/$(progname)"

install-info :
	if [ ! -d "$(DESTDIR)$(infodir)" ] ; then $(INSTALL_DIR) "$(DESTDIR)$(infodir)" ; fi
	$(INSTALL_DATA) $(VPATH)/doc/$(pkgname).info "$(DESTDIR)$(infodir)/$(pkgname).info"
	-install-info --info-dir="$(DESTDIR)$(infodir)" "$(DESTDIR)$(infodir)/$(pkgname).info"

install-man :
	if [ ! -d "$(DESTDIR)$(mandir)/man1" ] ; then $(INSTALL_DIR) "$(DESTDIR)$(mandir)/man1" ; fi
	$(INSTALL_DATA) $(VPATH)/doc/$(progname).1 "$(DESTDIR)$(mandir)/man1/$(progname).1"

install-strip : all
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' install

uninstall : uninstall-info uninstall-man
	-rm -f "$(DESTDIR)$(bindir)/$(progname)"

uninstall-info :
	-install-info --info-dir="$(DESTDIR)$(infodir)" --remove "$(DESTDIR)$(infodir)/$(pkgname).info"
	-rm -f "$(DESTDIR)$(infodir)/$(pkgname).info"

uninstall-man :
	-rm -f "$(DESTDIR)$(mandir)/man1/$(progname).1"

dist : doc
	ln -sf $(VPATH) $(DISTNAME)
	tar -cvf $(DISTNAME).tar \
	  $(DISTNAME)/AUTHORS \
	  $(DISTNAME)/COPYING \
	  $(DISTNAME)/ChangeLog \
	  $(DISTNAME)/INSTALL \
	  $(DISTNAME)/Makefile.in \
	  $(DISTNAME)/NEWS \
	  $(DISTNAME)/README \
	  $(DISTNAME)/configure \
	  $(DISTNAME)/doc/$(progname).1 \
	  $(DISTNAME)/doc/$(pkgname).info \
	  $(DISTNAME)/doc/$(pkgname).texinfo \
	  $(DISTNAME)/testsuite/check.sh \
	  $(DISTNAME)/testsuite/test1 \
	  $(DISTNAME)/testsuite/test1.lz \
	  $(DISTNAME)/*.h \
	  $(DISTNAME)/*.cc
	rm -f $(DISTNAME)
	lzip -v -9 $(DISTNAME).tar

clean :
	-rm -f $(progname) $(progname)_profiled $(objs)

distclean : clean
	-rm -f Makefile config.status *.tar *.tar.lz

=== debian/changelog ===
plzip (0.5-1drbl) unstable; urgency=low

  * Initial release for deb.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 15 Feb 2010 21:34:00 +0800

=== debian/control ===
Source: plzip
Section: utils
Priority: extra
Maintainer: Eduard Bloch <blade@debian.org>
Build-Depends: debhelper (>= 7), liblz-dev
Standards-Version: 3.8.3
Homepage: http://www.nongnu.org/lzip/plzip.html

Package: plzip
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Parallel Implementation of Lzip
 Plzip is a massively parallel (multi-threaded), lossless data compressor based on the LZMA algorithm, with very safe integrity checking and a user interface similar to the one of gzip or bzip2. Plzip uses the lzip file format; the files produced by plzip are fully compatible with lzip-1.4 or newer.
 .
 Plzip is intended for faster compression/decompression of big files on multiprocessor machines, which makes it specially well suited for distribution of big software files and large scale data archiving. On files big enough, plzip can use hundreds of processors.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	./configure --prefix=/usr --bindir=/usr/bin
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean: configure-stamp
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -rf debian/plzip/ debian/tmp/

	# Add here commands to clean up after the build process.
	$(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs

	# Add here commands to install the package into debian/plzip.
	#cp plzip $(CURDIR)/debian/plzip/usr/bin
	$(MAKE)
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp/ install


# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman debian/plzip.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## plzip 0.7

=== debian/changelog ===
plzip (0.7-5) unstable; urgency=low

  * Updating package descriptions.
  * Compacting copyright file.
  * Updating to standards version 3.9.2.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 10 Jul 2011 17:12:16 +0200

plzip (0.7-4) unstable; urgency=low

  * Making reference to licenses in copyright distribution neutral.
  * Improving previous changelog entries.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 22 Jan 2011 21:36:35 +0100

plzip (0.7-3) unstable; urgency=low

  * Disabling test target in rules on sparc (Closes: #608642).
  * Making build-depends on liblz-dev unversioned.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 14 Jan 2011 22:46:07 +0100

plzip (0.7-2) unstable; urgency=low

  * Updating maintainer and uploaders fields.
  * Removing vcs fields.
  * Removing references to my old email address.
  * Makeing packaging distribution neutral.
  * Improving comments in rules file.
  * Simplyfing debhelper auto_install override in rules.
  * Updating year in copyright file.
  * Removing unneeded build-depends on autotools-dev.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 13 Jan 2011 23:06:34 +0100

plzip (0.7-1) experimental; urgency=low

  * Merging upstream version 0.7.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 01 Jan 2011 18:50:28 +0100

plzip (0.6-3) unstable; urgency=low

  * Updating standards version to 3.9.0.
  * Updating to debhelper version 8.
  * Updating to standards version 3.9.1.
  * Switching to source format 3.0 (quilt).
  * Removing pre-squeeze depends to dpkg.
  * Updating copyright file.
  * Removing README.source and headers in copyright file.
  * Adding debhelper docs file.
  * Adding dpkg source option file.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 27 Dec 2010 06:49:21 +0100

plzip (0.6-2) unstable; urgency=low

  * Rebuilding against lzlib 1.0.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 10 May 2010 18:22:29 +0200

plzip (0.6-1) unstable; urgency=low

  * Merging upstream version 0.6.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 27 Mar 2010 10:33:25 +0100

plzip (0.5-1) unstable; urgency=low

  * Merging upstream version 0.5.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 11 Feb 2010 16:54:22 +0100

plzip (0.4-1) unstable; urgency=low

  * Updating to standards 3.8.4.
  * Merging upstream version 0.4.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 06 Feb 2010 09:30:13 +0100

plzip (0.3-1) unstable; urgency=low

  * Merging upstream version 0.3.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 27 Jan 2010 05:44:30 +0100

plzip (0.2-1) unstable; urgency=low

  * Adding explicit source version 1.0 until switch to 3.0.
  * Updating year in copyright file.
  * Merging upstream version 0.2.
  * Updating year in copyright file.
  * Bumping build-depends on lzlib to 0.8.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 18 Jan 2010 21:53:57 +0100

plzip (0.1-1) unstable; urgency=low

  * Initial release.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 06 Dec 2009 22:07:43 +0100

=== debian/control ===
Source: plzip
Section: utils
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Build-Depends: debhelper (>= 8), liblz-dev, texinfo
Standards-Version: 3.9.2
Homepage: http://www.nongnu.org/lzip/plzip.html

Package: plzip
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: parallel, lossless data compressor based on the LZMA algorithm
 Lzip is a lossless data compressor based on the LZMA algorithm, with very safe
 integrity checking and a user interface similar to the one of gzip or bzip2.
 Lzip decompresses almost as fast as gzip and compresses better than bzip2,
 which makes it well suited for software distribution and data archiving.
 .
 Plzip is a massively parallel (multi-threaded) version of lzip using the lzip
 file format; the files produced by plzip are fully compatible with lzip.
 .
 Plzip is intended for faster compression/decompression of big files on
 multiprocessor machines, which makes it specially well suited for distribution
 of big software files and large scale data archiving. On files big enough,
 plzip can use hundreds of processors.

Package: plzip-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, plzip (= ${binary:Version})
Description: parallel, lossless data compressor based on the LZMA algorithm (debug)
 Lzip is a lossless data compressor based on the LZMA algorithm, with very safe
 integrity checking and a user interface similar to the one of gzip or bzip2.
 Lzip decompresses almost as fast as gzip and compresses better than bzip2,
 which makes it well suited for software distribution and data archiving.
 .
 Plzip is a massively parallel (multi-threaded) version of lzip using the lzip
 file format; the files produced by plzip are fully compatible with lzip.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

%:
	dh ${@}

ifeq ($(DEB_BUILD_ARCH),sparc)
override_dh_auto_test:
	# disabled, see #608642 for more information
endif

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/plzip

	# removing unused files
	rm -f debian/plzip/usr/share/info/dir*

override_dh_strip:
	dh_strip --dbg-package=plzip-dbg

## plzip 0.8

=== debian/changelog ===
plzip (0.8-1) unstable; urgency=low

  * Using compression level 9 also for binary packages.
  * Merging upstream version 0.8.
  * Updating years in copyright file.
  * Updating to debhelper version 9.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 21 Jan 2012 11:23:01 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
-Build-Depends: debhelper (>= 8), liblz-dev, texinfo
+Build-Depends: debhelper (>= 9), liblz-dev, texinfo
 Standards-Version: 3.9.2
 Homepage: http://www.nongnu.org/lzip/plzip.html

=== debian/rules ===
--- 
+++ 
@@ -18,3 +18,6 @@
 
 override_dh_strip:
 	dh_strip --dbg-package=plzip-dbg
+
+override_dh_builddeb:
+	dh_builddeb -- -Zgzip -z9

## plzip 0.9

=== debian/changelog ===
plzip (0.9-3) unstable; urgency=low

  * Updating to standards version 3.9.4.
  * Adding dpkg-source local options.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 16 Dec 2012 10:45:07 +0100

plzip (0.9-2) unstable; urgency=low

  * Switching to xz compression.
  * Using proper name for license exception in copyright file.
  * Adding patch to not overwrite buildflags.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 30 Jun 2012 12:49:51 +0200

plzip (0.9-1) unstable; urgency=low

  * Merging upstream version 0.9.
  * Updating to standards version 3.9.3.
  * Updating copyright file machine-readable format version 1.0.
  * Sorting targets in rules alphabetically.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 16 Apr 2012 08:40:18 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
 Build-Depends: debhelper (>= 9), liblz-dev, texinfo
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://www.nongnu.org/lzip/plzip.html
 
 Package: plzip

## plzip 1.4

=== debian/changelog ===
plzip (1.4-1) unstable; urgency=low

  * Merging upstream version 1.4.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 22 Jul 2015 18:57:39 +0200

plzip (1.4~rc1-1) experimental; urgency=low

  * Dropping pre-jessie breaks.
  * Merging upstream version 1.4~rc1.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 01 Jun 2015 07:38:22 +0200

plzip (1.4~pre1-1) experimental; urgency=low

  * Merging upstream version 1.4~pre1.
  * Updating years in copyright file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 14 Mar 2015 18:19:59 +0100

plzip (1.3-1) experimental; urgency=low

  * Merging upstream version 1.3.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 28 Jan 2015 22:01:26 +0100

plzip (1.3~pre1-1) experimental; urgency=low

  * Merging upstream version 1.3~pre1.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 06 Dec 2014 13:23:47 +0100

plzip (1.2-3) unstable; urgency=low

  * Correcting missarangement in copyright file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 18 Sep 2014 00:33:17 +0200

plzip (1.2-2) unstable; urgency=low

  * Updating to standards version 3.9.6.
  * Harmonizing update-alternatives handling across all lzip-alternative
    providing packages.
  * Harmonizing update-alternatives priority across all lzip-alternative
    providing packages.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 18 Sep 2014 00:16:01 +0200

plzip (1.2-1) unstable; urgency=low

  * Updating copyright file.
  * Merging upstream version 1.2.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 15 Sep 2014 20:36:20 +0200

plzip (1.2~rc2-1) unstable; urgency=low

  * Merging upstream version 1.2~rc2.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 05 Jul 2014 08:49:24 +0200

plzip (1.2~rc1-1) unstable; urgency=low

  * Merging upstream version 1.2~rc1.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 17 May 2014 12:21:26 +0200

plzip (1.2~pre1-2) unstable; urgency=low

  * Building with dh --parallel.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 31 Mar 2014 21:28:47 +0200

plzip (1.2~pre1-1) experimental; urgency=low

  * Updating to standards version 3.9.5.
  * Merging upstream version 1.2~pre1.
  * Updating years in copyright for 2014.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 21 Jan 2014 19:52:32 +0100

plzip (1.1-1) experimental; urgency=low

  * Updating vcs fields.
  * Merging upstream version 1.1.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 01 Oct 2013 20:52:32 +0200

plzip (1.1~pre1-1) experimental; urgency=low

  * Merging upstream version 1.1~pre1.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 22 Jul 2013 13:47:21 +0200

plzip (1.0-2) experimental; urgency=low

  * Adding vcs fields.
  * Wrapping control fields.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 17 Jul 2013 14:05:43 +0200

plzip (1.0-1) experimental; urgency=low

  * Merging upstream version 1.0.
  * Rediffing build.patch.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 04 Jun 2013 19:23:37 +0200

plzip (1.0~rc1-3) experimental; urgency=low

  * Adding lzip-alternative provides.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 04 Jun 2013 17:08:40 +0200

plzip (1.0~rc1-2) experimental; urgency=low

  * Correcting spelling typo in comment in rules.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 16 May 2013 10:32:35 +0200

plzip (1.0~rc1-1) experimental; urgency=low

  * Merging upstream version 1.0~rc1.
  * Updating years in copyright file.
  * Dropping dpkg-source compression levels.
  * Prefixing patches with four digits.
  * Trimming diff headers in patches.
  * Refreshing build.patch.
  * Adding alternative handling for /usr/bin/lzip.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 25 Mar 2013 15:34:25 +0100

plzip (0.9-4) unstable; urgency=low

  * Removing all references to my old email address.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Mar 2013 21:42:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,22 @@
 Source: plzip
 Section: utils
 Priority: optional
-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
-Build-Depends: debhelper (>= 9), liblz-dev, texinfo
-Standards-Version: 3.9.4
+Maintainer: Daniel Baumann <mail@daniel-baumann.ch>
+Build-Depends:
+ debhelper (>= 9),
+ liblz-dev,
+ texinfo,
+Standards-Version: 3.9.6
 Homepage: http://www.nongnu.org/lzip/plzip.html
+Vcs-Browser: http://daniel-baumann.ch/gitweb/?p=debian/packages/plzip.git
+Vcs-Git: git://daniel-baumann.ch/git/debian/packages/plzip.git
 
 Package: plzip
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Provides: lzip-alternative
 Description: parallel, lossless data compressor based on the LZMA algorithm
  Lzip is a lossless data compressor based on the LZMA algorithm, with very safe
  integrity checking and a user interface similar to the one of gzip or bzip2.
@@ -27,7 +35,9 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: ${misc:Depends}, plzip (= ${binary:Version})
+Depends:
+ ${misc:Depends},
+ plzip (= ${binary:Version}),
 Description: parallel, lossless data compressor based on the LZMA algorithm (debug)
  Lzip is a lossless data compressor based on the LZMA algorithm, with very safe
  integrity checking and a user interface similar to the one of gzip or bzip2.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

%:
	dh ${@} --parallel

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/plzip

	# removing unused files
	rm -f debian/plzip/usr/share/info/dir*

	# alternative handling
	mv debian/plzip/usr/bin/plzip debian/plzip/usr/bin/lzip.plzip
	mv debian/plzip/usr/share/info/plzip.info debian/plzip/usr/share/info/lzip.plzip.info
	mv debian/plzip/usr/share/man/man1/plzip.1 debian/plzip/usr/share/man/man1/lzip.plzip.1

	ln -s /usr/bin/lzip.plzip debian/plzip/usr/bin/plzip
	ln -s /usr/share/info/lzip.plzip.info.gz debian/plzip/usr/share/info/plzip.info.gz
	ln -s /usr/share/man/man1/lzip.plzip.1.gz debian/plzip/usr/share/man/man1/plzip.1.gz

ifeq ($(DEB_BUILD_ARCH),sparc)
override_dh_auto_test:
	# disabled, see #608642 for more information
endif

override_dh_builddeb:
	dh_builddeb -- -Zxz

override_dh_strip:
	dh_strip --dbg-package=plzip-dbg

## plzip 1.5

=== debian/changelog ===
plzip (1.5-5) unstable; urgency=low

  * Uploading to sid.
  * Updating year in copyright information for 2017.
  * Moving debian specific patches to subdirectory within patches
    directory.
  * Using consistent email address for all downstream work.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 26 Jan 2017 17:39:42 +0100

plzip (1.5-4) unstable; urgency=low

  * Uploading to sid.
  * Making maintainer scripts executable in source tree.
  * Updating upstream signing key.
  * Sorting alternatives handling in rules.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 10 Dec 2016 10:52:52 +0100

plzip (1.5-3) unstable; urgency=low

  * Uploading to sid.
  * Updating debhelper build-depends for version 10.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 15 Oct 2016 08:03:11 +0200

plzip (1.5-2) unstable; urgency=low

  * Uploading to sid.
  * Switching to debhelper compat 10.
  * Adding watch file.
  * Adding gpg verification to watch file.
  * Updating vcs fields.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 03 Jul 2016 17:42:38 +0200

plzip (1.5-1) unstable; urgency=low

  * Uploading to sid.
  * Merging upstream version 1.5.
  * Wrap and sorting control file.
  * Updating years in copyright file.
  * Refreshing build.patch.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 01 Jun 2016 16:16:51 +0200

plzip (1.4-2) unstable; urgency=low

  * Uploading to sid.
  * Removing manual settings for xz compression.
  * Updating years in copyright file.
  * Harmonizing rules file.
  * Updating to standards version 3.9.8.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 12 May 2016 17:22:46 +0200

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

%:
	dh ${@} --parallel

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/plzip

	# alternative handling
	mv debian/plzip/usr/bin/plzip debian/plzip/usr/bin/lzip.plzip
	ln -s /usr/bin/lzip.plzip debian/plzip/usr/bin/plzip

	mv debian/plzip/usr/share/info/plzip.info debian/plzip/usr/share/info/lzip.plzip.info
	ln -s /usr/share/info/lzip.plzip.info.gz debian/plzip/usr/share/info/plzip.info.gz

	mv debian/plzip/usr/share/man/man1/plzip.1 debian/plzip/usr/share/man/man1/lzip.plzip.1
	ln -s /usr/share/man/man1/lzip.plzip.1.gz debian/plzip/usr/share/man/man1/plzip.1.gz

	# removing unused files
	rm -f debian/plzip/usr/share/info/dir*

ifeq ($(DEB_BUILD_ARCH),sparc)
override_dh_auto_test:
	# disabled, see #608642 for more information
endif

override_dh_strip:
	dh_strip --dbg-package=plzip-dbg

## plzip 1.6

=== debian/changelog ===
plzip (1.6-4) unstable; urgency=medium

  * Uploading to sid.
  * Removing explicit debug package in favour of automated debug packages.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 05 Nov 2017 08:49:33 +0100

plzip (1.6-3) unstable; urgency=medium

  * Uploading to sid.
  * Updating to standards version 4.1.1.
  * Deprecating priority extra as of policy 4.0.1.
  * Adding Rules-Requires-Root field.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 05 Nov 2017 07:46:10 +0100

plzip (1.6-2) unstable; urgency=low

  * Uploading to sid.
  * Updating to standards version 4.0.0.
  * Using https for copyright format url.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 18 Jun 2017 21:44:21 +0200

plzip (1.6-1) experimental; urgency=low

  * Uploading to experimental.
  * Merging upstream version 1.6.
  * Updating vcs fields.
  * Removing superfluous --parallel when invoking debhelper as it's the
    default with compat level 10, thanks to Gianfranco Costamagna
    <locutusofborg@debian.org>.
  * Refreshing build.patch.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 07 May 2017 18:00:57 +0200

=== debian/control ===
Source: plzip
Section: utils
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Build-Depends:
 debhelper (>= 10),
 liblz-dev,
 texinfo,
Rules-Requires-Root: no
Standards-Version: 4.1.1
Homepage: http://www.nongnu.org/lzip/plzip.html
Vcs-Browser: https://sources.progress-linux.org/users/daniel.baumann/debian/packages/plzip
Vcs-Git: https://sources.progress-linux.org/users/daniel.baumann/debian/packages/plzip

Package: plzip
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 lzip-alternative,
Description: parallel, lossless data compressor based on the LZMA algorithm
 Lzip is a lossless data compressor based on the LZMA algorithm, with very safe
 integrity checking and a user interface similar to the one of gzip or bzip2.
 Lzip decompresses almost as fast as gzip and compresses better than bzip2,
 which makes it well suited for software distribution and data archiving.
 .
 Plzip is a massively parallel (multi-threaded) version of lzip using the lzip
 file format; the files produced by plzip are fully compatible with lzip.
 .
 Plzip is intended for faster compression/decompression of big files on
 multiprocessor machines, which makes it specially well suited for distribution
 of big software files and large scale data archiving. On files big enough,
 plzip can use hundreds of processors.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 %:
-	dh ${@} --parallel
+	dh ${@}
 
 override_dh_auto_install:
 	dh_auto_install -- DESTDIR=$(CURDIR)/debian/plzip
@@ -25,6 +25,3 @@
 override_dh_auto_test:
 	# disabled, see #608642 for more information
 endif
-
-override_dh_strip:
-	dh_strip --dbg-package=plzip-dbg

## plzip 1.7

=== debian/changelog ===
plzip (1.7-1) unstable; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.7.
  * Updating to standards version 4.1.3.
  * Updating to debhelper compat 11.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 13 Feb 2018 08:06:30 +0100

plzip (1.6-5) unstable; urgency=medium

  * Uploading to sid.
  * Using https in watch file.
  * Updating to standards version 4.1.2.
  * Applying patch from Helmut Grohne <helmut@subdivi.de> to fix FTBFS
    when cross-compiling (Closes: #884722).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 18 Dec 2017 21:47:43 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  liblz-dev,
  texinfo,
 Rules-Requires-Root: no
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Homepage: http://www.nongnu.org/lzip/plzip.html
 Vcs-Browser: https://sources.progress-linux.org/users/daniel.baumann/debian/packages/plzip
 Vcs-Git: https://sources.progress-linux.org/users/daniel.baumann/debian/packages/plzip

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,16 @@
 #!/usr/bin/make -f
 
-DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
+include /usr/share/dpkg/architecture.mk
+
+ifeq ($(origin CXX),default)
+CXX := $(DEB_HOST_GNU_TYPE)-g++
+endif
 
 %:
 	dh ${@}
+
+override_dh_auto_configure:
+	dh_auto_configure -- 'CXX=$(CXX)'
 
 override_dh_auto_install:
 	dh_auto_install -- DESTDIR=$(CURDIR)/debian/plzip

=== debian/watch ===
version=4
opts=pgpmode=auto https://download.savannah.gnu.org/releases/lzip/plzip/plzip-(.+)\.tar\.lz

## plzip 1.8

=== debian/changelog ===
plzip (1.8-3) unstable; urgency=medium

  * Uploading to sid.
  * Improving watch file.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 03 Feb 2019 20:14:18 +0100

plzip (1.8-2) unstable; urgency=medium

  * Uploading to sid.
  * Using build-depends to specify debhelper compatibility.
  * Repeating Section for binary packages in control.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 20 Jan 2019 19:37:56 +0100

plzip (1.8-1) unstable; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.8.
  * Updating year for upstream in copyright for 2019.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 06 Jan 2019 11:09:09 +0100

plzip (1.7-3) unstable; urgency=medium

  * Uploading to sid.
  * Adding lzip-compressor and lzip-decompressor alternatives.
  * Updating to standards version 4.3.0.
  * Updating vcs fields.
  * Updating year in copyright for 2019.
  * Updating to debhelper 12.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 28 Dec 2018 10:50:29 +0100

plzip (1.7-2) unstable; urgency=medium

  * Uploading to sid.
  * Updating years in copyright file.
  * Updating to standards version 4.2.1.
  * Harmonizing changelog.
  * Harmonizing rules file.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 26 Aug 2018 12:06:13 +0200

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,25 @@
 Priority: optional
 Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  liblz-dev,
  texinfo,
 Rules-Requires-Root: no
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Homepage: http://www.nongnu.org/lzip/plzip.html
-Vcs-Browser: https://sources.progress-linux.org/users/daniel.baumann/debian/packages/plzip
-Vcs-Git: https://sources.progress-linux.org/users/daniel.baumann/debian/packages/plzip
+Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/plzip
+Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/plzip
 
 Package: plzip
+Section: utils
 Architecture: any
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
 Provides:
  lzip-alternative,
+ lzip-compressor,
+ lzip-decompressor,
 Description: parallel, lossless data compressor based on the LZMA algorithm
  Lzip is a lossless data compressor based on the LZMA algorithm, with very safe
  integrity checking and a user interface similar to the one of gzip or bzip2.

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 override_dh_auto_install:
 	dh_auto_install -- DESTDIR=$(CURDIR)/debian/plzip
 
-	# alternative handling
+	# update-alternatives
 	mv debian/plzip/usr/bin/plzip debian/plzip/usr/bin/lzip.plzip
 	ln -s /usr/bin/lzip.plzip debian/plzip/usr/bin/plzip
 
@@ -30,5 +30,5 @@
 
 ifeq ($(DEB_BUILD_ARCH),sparc)
 override_dh_auto_test:
-	# disabled, see #608642 for more information
+	# disabled (see #608642)
 endif

## plzip 1.9

=== debian/changelog ===
plzip (1.9-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.9.
  * Updating to standards version 4.5.1.
  * Updating years in copyright file for 2021.
  * Refreshing build.patch.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 27 Jan 2021 16:59:48 +0100

plzip (1.8-8) sid; urgency=medium

  * Uploading to sid.
  * Letting dpkg's buildtools.mk initialize CXX, thanks to Helmut Grohne
    <helmut@subdivi.de>.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 19 Aug 2020 06:53:35 +0200

plzip (1.8-7) sid; urgency=medium

  * Uploading to sid.
  * Using execute_after targets in rules to be explicit what we're doing.
  * Removing disabling of tests on sparc, seems not needed anymore.
  * Updating to debhelper version 13.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 19 Apr 2020 14:02:55 +0200

plzip (1.8-6) sid; urgency=medium

  * Uploading to sid.
  * Updating years in copyright file for 2020.
  * Updating to standards version 4.5.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 25 Jan 2020 19:36:15 +0100

plzip (1.8-5) sid; urgency=medium

  * Uploading to sid.
  * Updating to standards version 4.4.1.
  * Using codenames as upload targets in changelog.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 18 Nov 2019 14:36:26 +0100

plzip (1.8-4) sid; urgency=medium

  * Uploading to sid.
  * Updating to standards version 4.4.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 16 Jul 2019 18:35:40 +0200

plzip (1.8-3) sid; urgency=medium

  * Uploading to sid.
  * Improving watch file.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 03 Feb 2019 20:14:18 +0100

plzip (1.8-2) sid; urgency=medium

  * Uploading to sid.
  * Using build-depends to specify debhelper compatibility.
  * Repeating Section for binary packages in control.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 20 Jan 2019 19:37:56 +0100

plzip (1.8-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.8.
  * Updating year for upstream in copyright for 2019.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 06 Jan 2019 11:09:09 +0100

plzip (1.7-3) sid; urgency=medium

  * Uploading to sid.
  * Adding lzip-compressor and lzip-decompressor alternatives.
  * Updating to standards version 4.3.0.
  * Updating vcs fields.
  * Updating year in copyright for 2019.
  * Updating to debhelper 12.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 28 Dec 2018 10:50:29 +0100

plzip (1.7-2) sid; urgency=medium

  * Uploading to sid.
  * Updating years in copyright file.
  * Updating to standards version 4.2.1.
  * Harmonizing changelog.
  * Harmonizing rules file.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 26 Aug 2018 12:06:13 +0200

plzip (1.7-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.7.
  * Updating to standards version 4.1.3.
  * Updating to debhelper compat 11.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 13 Feb 2018 08:06:30 +0100

plzip (1.6-5) sid; urgency=medium

  * Uploading to sid.
  * Using https in watch file.
  * Updating to standards version 4.1.2.
  * Applying patch from Helmut Grohne <helmut@subdivi.de> to fix FTBFS
    when cross-compiling (Closes: #884722).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 18 Dec 2017 21:47:43 +0100

plzip (1.6-4) sid; urgency=medium

  * Uploading to sid.
  * Removing explicit debug package in favour of automated debug packages.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 05 Nov 2017 08:49:33 +0100

plzip (1.6-3) sid; urgency=medium

  * Uploading to sid.
  * Updating to standards version 4.1.1.
  * Deprecating priority extra as of policy 4.0.1.
  * Adding Rules-Requires-Root field.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 05 Nov 2017 07:46:10 +0100

plzip (1.6-2) sid; urgency=low

  * Uploading to sid.
  * Updating to standards version 4.0.0.
  * Using https for copyright format url.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 18 Jun 2017 21:44:21 +0200

plzip (1.5-5) sid; urgency=low

  * Uploading to sid.
  * Updating year in copyright information for 2017.
  * Moving debian specific patches to subdirectory within patches
    directory.
  * Using consistent email address for all downstream work.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 26 Jan 2017 17:39:42 +0100

plzip (1.5-4) sid; urgency=low

  * Uploading to sid.
  * Making maintainer scripts executable in source tree.
  * Updating upstream signing key.
  * Sorting alternatives handling in rules.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 10 Dec 2016 10:52:52 +0100

plzip (1.5-3) sid; urgency=low

  * Uploading to sid.
  * Updating debhelper build-depends for version 10.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 15 Oct 2016 08:03:11 +0200

plzip (1.5-2) sid; urgency=low

  * Uploading to sid.
  * Switching to debhelper compat 10.
  * Adding watch file.
  * Adding gpg verification to watch file.
  * Updating vcs fields.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 03 Jul 2016 17:42:38 +0200

plzip (1.5-1) sid; urgency=low

  * Uploading to sid.
  * Merging upstream version 1.5.
  * Wrap and sorting control file.
  * Updating years in copyright file.
  * Refreshing build.patch.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 01 Jun 2016 16:16:51 +0200

plzip (1.4-2) sid; urgency=low

  * Uploading to sid.
  * Removing manual settings for xz compression.
  * Updating years in copyright file.
  * Harmonizing rules file.
  * Updating to standards version 3.9.8.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 12 May 2016 17:22:46 +0200

plzip (1.4-1) sid; urgency=low

  * Uploading to sid.
  * Merging upstream version 1.4.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 22 Jul 2015 18:57:39 +0200



=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  liblz-dev,
  texinfo,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Homepage: http://www.nongnu.org/lzip/plzip.html
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/plzip
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/plzip

=== debian/watch ===
version=4
opts="pgpmode=auto, uversionmangle=s/(\d)\-?((pre|rc)\d*)$/$1~$2/" \
https://download.savannah.gnu.org/releases/lzip/plzip/plzip-(.+)\.tar\.lz

## plzip 1.10

=== debian/changelog ===
plzip (1.10-5) sid; urgency=medium

  * Uploading to sid.
  * Updating http links to https in copyright.
  * Updating to standards version 4.6.2.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 30 Jan 2023 17:49:07 +0100

plzip (1.10-4) sid; urgency=medium

  * Uploading to sid.
  * Updating to standards version 4.6.1.
  * Correcting version mangling in watch file.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 14 Jul 2022 19:39:16 +0200

plzip (1.10-3) sid; urgency=medium

  * Uploading to sid.
  * Correcting typo in watch file.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 05 Apr 2022 04:01:35 +0200

plzip (1.10-2) sid; urgency=medium

  * Uploading to sid.
  * Handling pre/rc versions in watch file.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 11 Mar 2022 07:11:43 +0100

plzip (1.10-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.10.
  * Updating copyright for 2022.
  * Refreshing build.patch.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 21 Feb 2022 17:29:35 +0100

plzip (1.9-3) sid; urgency=medium

  * Uploading to sid.
  * Moving to dh_installalternatives.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 29 Dec 2021 03:46:56 +0100

plzip (1.9-2) sid; urgency=medium

  * Uploading to sid.
  * Updating watch file.
  * Updating to standards version 4.6.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 09 Oct 2021 09:55:35 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
 Build-Depends:
+ debhelper (>= 13.1~),
  debhelper-compat (= 13),
  liblz-dev,
  texinfo,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: http://www.nongnu.org/lzip/plzip.html
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/plzip
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/plzip

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,7 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/architecture.mk
-
-ifeq ($(origin CXX),default)
-CXX := $(DEB_HOST_GNU_TYPE)-g++
-endif
+include /usr/share/dpkg/buildtools.mk
 
 %:
 	dh ${@}
@@ -15,6 +12,7 @@
 override_dh_auto_install:
 	dh_auto_install -- DESTDIR=$(CURDIR)/debian/plzip
 
+execute_after_dh_auto_install:
 	# update-alternatives
 	mv debian/plzip/usr/bin/plzip debian/plzip/usr/bin/lzip.plzip
 	ln -s /usr/bin/lzip.plzip debian/plzip/usr/bin/plzip
@@ -27,8 +25,3 @@
 
 	# removing unused files
 	rm -f debian/plzip/usr/share/info/dir*
-
-ifeq ($(DEB_BUILD_ARCH),sparc)
-override_dh_auto_test:
-	# disabled (see #608642)
-endif

## plzip 1.11

=== debian/changelog ===
plzip (1.11-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.11.
  * Refreshing build.patch.
  * Disabling testsuite for now as the current upstream release misses
    some files for it to run at all.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 23 Jan 2024 06:46:00 +0100

plzip (1.10-6) sid; urgency=medium

  * Uploading to sid.
  * Minimizing debhelper build-depends for trixie.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 24 Jun 2023 18:44:12 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
 Build-Depends:
- debhelper (>= 13.1~),
  debhelper-compat (= 13),
  liblz-dev,
  texinfo,

=== debian/rules ===
--- 
+++ 
@@ -25,3 +25,6 @@
 
 	# removing unused files
 	rm -f debian/plzip/usr/share/info/dir*
+
+override_dh_auto_test:
+	# disabled: incomplete upstream testsuite

## plzip 1.12~rc1

=== debian/changelog ===
plzip (1.12~rc1-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 1.12~rc1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 30 Nov 2024 09:55:28 +0100

plzip (1.11-2) sid; urgency=medium

  * Uploading to sid.
  * Updating years in copyright for 2024.
  * Updating to standards-version 4.7.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 25 Jul 2024 06:44:49 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  liblz-dev,
  texinfo,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: http://www.nongnu.org/lzip/plzip.html
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/plzip
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/plzip

## plzip 1.12

=== debian/changelog ===
plzip (1.12-4) sid; urgency=medium

  * Adding compression option to watch file.
  * Removing rules-requires-root, not needed anymore.
  * Building with hardening build-flags (Closes: #1119530).

 -- Daniel Baumann <daniel@debian.org>  Tue, 11 Nov 2025 21:17:00 +0100

plzip (1.12-3) sid; urgency=medium

  * Updating standards version to 4.7.1.
  * Updating to standards version 4.7.2.

 -- Daniel Baumann <daniel@debian.org>  Wed, 19 Mar 2025 20:48:30 +0100

plzip (1.12-2) sid; urgency=medium

  * Updating vcs fields.
  * Updating my email address.
  * Trimming debian changelog.
  * Updating years in copyright for 2025.

 -- Daniel Baumann <daniel@debian.org>  Mon, 24 Feb 2025 04:25:00 +0100

plzip (1.12-1) sid; urgency=medium

  * Merging upstream version 1.12.

 -- Daniel Baumann <daniel@debian.org>  Sun, 19 Jan 2025 14:36:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: plzip
 Section: utils
 Priority: optional
-Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
+Maintainer: Daniel Baumann <daniel@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  liblz-dev,
  texinfo,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: http://www.nongnu.org/lzip/plzip.html
-Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/plzip
-Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/plzip
+Vcs-Browser: https://forgejo.debian.net/lzip/plzip
+Vcs-Git: https://forgejo.debian.net/lzip/plzip
 
 Package: plzip
 Section: utils

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
-include /usr/share/dpkg/architecture.mk
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 include /usr/share/dpkg/buildtools.mk
 
 %:

=== debian/watch ===
version=4
opts="pgpmode=auto, compression=xz, repack, uversionmangle=s/(\d)\-?((pre|rc)\d*)$/$1~$2/" \
https://download.savannah.gnu.org/releases/lzip/plzip/@PACKAGE@@ANY_VERSION@\.tar\.lz

## plzip 1.13~rc1

=== debian/changelog ===
plzip (1.13~rc1-3) sid; urgency=medium

  * Correcting watch file.

 -- Daniel Baumann <daniel@debian.org>  Thu, 19 Feb 2026 04:57:55 +0100

plzip (1.13~rc1-2) sid; urgency=medium

  * Updating watch file to version 5.

 -- Daniel Baumann <daniel@debian.org>  Sun, 08 Feb 2026 11:10:15 +0100

plzip (1.13~rc1-1) sid; urgency=medium

  * Updating to standards version 4.7.3.
  * Merging upstream version 1.13~rc1.
  * Updating years in copyright for 2026.

 -- Daniel Baumann <daniel@debian.org>  Mon, 19 Jan 2026 10:50:16 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  debhelper-compat (= 13),
  liblz-dev,
  texinfo,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: http://www.nongnu.org/lzip/plzip.html
 Vcs-Browser: https://forgejo.debian.net/lzip/plzip
 Vcs-Git: https://forgejo.debian.net/lzip/plzip

=== debian/watch ===
Version: 5

Source: https://download.savannah.gnu.org/releases/lzip/plzip/
Matching-Pattern: plzip-(.*).tar.lz
Uversion-Mangle: auto
